Option Explicit
Global Const NORMAL = 0
Global Const MINIMIZED = 1
Global Const MAXIMIZED = 2
Global Const WM_WINDOWPOSCHANGING = &H46
Global Const WM_SYSCOMMAND = &H112
Global Const SWP_NOCOPYBITS = &H100
Global Const SC_MINIMIZE = &HF020
Global Const SC_MAXIMIZE = &HF030
Global Const SC_RESTORE = &HF120
Global Const SW_HIDE = 0
Global Const SW_SHOWNORMAL = 1
Global Const SW_NORMAL = 1
Global Const SW_SHOWMINIMIZED = 2
Global Const SW_SHOWMAXIMIZED = 3
Global Const SW_MAXIMIZE = 3
Global Const SW_SHOWNOACTIVATE = 4
Global Const SW_SHOW = 5
Global Const SW_MINIMIZE = 6
Global Const SW_SHOWMINNOACTIVE = 7
Global Const SW_SHOWNA = 8
Global Const SW_RESTORE = 9

Global Const THUNDERRTMAINSTRING = "ThunderRTMain"

' WM_WINDOWPOSCHANGING/CHANGED struct pointed to by lParam
Type WINDOWPOS
    hWnd As Integer
    hwndInsertAfter As Integer
    x As Integer
    y As Integer
    cx As Integer
    cy As Integer
    flags As Integer
End Type

Declare Function GetCurrentTask% Lib "kernel" ()
Declare Function IsIconic% Lib "User" (ByVal hWnd%)
Declare Function IsZoomed% Lib "User" (ByVal hWnd%)
Declare Function EnumTaskWindows% Lib "User" (ByVal htask%, ByVal lpEnumFunc&, ByVal lParam&)
Declare Sub SetWindowPos Lib "user" (ByVal hWnd%, ByVal hwndafter%, ByVal x%, ByVal y%, ByVal cx%, ByVal cy%, ByVal fuflags%)
Declare Function SendMessage& Lib "User" (ByVal hWnd%, ByVal msg%, ByVal wp%, lp As Any)
Declare Function SendMessageBynum& Lib "User" Alias "SendMessage" (ByVal hWnd%, ByVal msg%, ByVal wp%, ByVal lp&)
Declare Function PostMessage% Lib "User" (ByVal hWnd%, ByVal msg%, ByVal wp%, lp As Any)
Declare Function PostMessageBynum% Lib "User" Alias "PostMessage" (ByVal hWnd%, ByVal msg%, ByVal wp%, ByVal lp&)
Declare Function ShowWindow% Lib "User" (ByVal hWnd%, ByVal wflags%)
Declare Function GetClassName% Lib "User" (ByVal hWnd%, ByVal lpstr$, ByVal strlen%)

Declare Function dwGetAddressForObject& Lib "dwspydll.dll" (object As Any)
Declare Sub dwCopyData Lib "dwspydll.dll" (source As Any, dest As Any, ByVal nCount%)
Declare Sub dwCopyDataBynum Lib "dwspydll.dll" Alias "dwCopyData" (ByVal source&, ByVal dest&, ByVal nCount%)

